Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.pages.discovery
[Java] Interface GroovyPageLocator

    public interface GroovyPageLocator

Used to locate GSPs whether in development or WAR deployed mode.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`void` | `addResourceLoader(ResourceLoader resourceLoader)` Adds a new resource loader to search
`GroovyPageScriptSource` | `findPage(java.lang.String uri)` Finds a page for the given URI
`GroovyPageScriptSource` | `findPageInBinding(java.lang.String pluginName, java.lang.String uri, GroovyPageBinding binding)` Finds a page for the given URI
`GroovyPageScriptSource` | `findPageInBinding(java.lang.String uri, GroovyPageBinding binding)` Finds a page for the URI and binding
`void` | `removePrecompiledPage(GroovyPageCompiledScriptSource compiledScriptSource)` Removes any precompiled pages for the given URI so that they can be replaced by dynamic pages

Method Detail

### addResourceLoader

    public void addResourceLoader(ResourceLoader resourceLoader)

  Adds a new resource loader to search
  Parameters:
    `resourceLoader` - The resource loader to search

### findPage

    public GroovyPageScriptSource findPage(java.lang.String uri)

  Finds a page for the given URI
  Parameters:
    `uri` - The URI
  Returns:
    A script source

### findPageInBinding

    public GroovyPageScriptSource findPageInBinding(java.lang.String pluginName, java.lang.String uri, GroovyPageBinding binding)

  Finds a page for the given URI
  Parameters:
    `uri` - The URI
  Returns:
    A script source

### findPageInBinding

    public GroovyPageScriptSource findPageInBinding(java.lang.String uri, GroovyPageBinding binding)

  Finds a page for the URI and binding
  Parameters:
    `uri` - The URI
    `binding` - The binding
  Returns:
    The page source

### removePrecompiledPage

    public void removePrecompiledPage(GroovyPageCompiledScriptSource compiledScriptSource)

  Removes any precompiled pages for the given URI so that they can be replaced by dynamic pages
  Parameters:
    `compiledScriptSource` - The compiled script source

Groovy Documentation